import 'package:get/get.dart';
import 'package:flutter/material.dart';

class LoadingWidgetLogic extends GetxController with GetTickerProviderStateMixin {
  late AnimationController _textAnimationController;
  late Animation<double> textAnimation;
  @override
  void onInit() {
    super.onInit();
    _textAnimationController =
        AnimationController(vsync: this, duration: const Duration(milliseconds: 1200))
          ..repeat(reverse: true);

    textAnimation = CurvedAnimation(parent: _textAnimationController, curve: Curves.easeInOut);
  }



}
